### Class

# FwupdPlugin LinearFirmware

#### Description [src]

    class FwupdPlugin.LinearFirmware : FwupdPlugin.Firmware
    {
      /* No available fields */
    }

A firmware made up of concatenated blobs of a different firmware type.

Parsed firmware images can set `FU_FIRMWARE_FLAG_IS_LAST_IMAGE` to abort processing.

NOTE: All the child images will be of the specified `GType`.

See also: `FuFirmware`.

#### Ancestors

- FuFirmware
- GObject

#### Constructors

###### fu_linear_firmware_new

Creates a new `FuFirmware` made up of concatenated images.

since: 1.8.2

#### Instance methods

###### fu_linear_firmware_get_image_gtype

Gets the image `GType` to use when parsing a byte buffer.

since: 1.8.2

##### Methods inherited from FuFirmware (66)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### FwupdPlugin.LinearFirmware:image-gtype

The image `GType`.

since: 1.8.2

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginLinearFirmwareClass {
      FuFirmwareClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuFirmwareClass`

  No description available.